STER
Date: 2019-10-22

org.jmol.c

## Enum STER

- java.lang.Object
- - java.lang.Enum<STER>
  - - org.jmol.c.STER

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<STER>

      public enum STER
      extends java.lang.Enum<STER>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `CUSTOM`
    `DOUBLE`
    `DTI`
    `NONE`
    `REDBLUE`
    `REDCYAN`
    `REDGREEN`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private boolean` | `isBiColor`
    `private java.lang.String` | `name`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getName()`
    `static STER` | `getStereoMode(java.lang.String id)`
    `boolean` | `isBiColor()`
    `static STER` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static STER[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### NONE

          public static final STER NONE

    - #### DOUBLE

          public static final STER DOUBLE

    - #### REDCYAN

          public static final STER REDCYAN

    - #### REDBLUE

          public static final STER REDBLUE

    - #### REDGREEN

          public static final STER REDGREEN

    - #### DTI

          public static final STER DTI

    - #### CUSTOM

          public static final STER CUSTOM

  - ### Field Detail

    - #### name

          private java.lang.String name

    - #### isBiColor

          private boolean isBiColor

  - ### Method Detail

    - #### values

          public static STER[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (STER c : STER.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static STER valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getName

          public java.lang.String getName()

    - #### isBiColor

          public boolean isBiColor()

    - #### getStereoMode

          public static STER getStereoMode(java.lang.String id)